
Redmine - Defect #17221

ArgumentError (comparison of Date with nil failed)

2014-06-18 15:53 - zorro zuo

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

更新一个问题的时间，页面就报如下错误，这个错误怎么解决？

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

-->production.log  错误如下：

Processing IssuesController#update (for 10.1.0.175 at 2014-06-18 21:04:52) [PUT]

Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"提交", "notes"=>"", "action"=>"update",

"_method"=>"put", "authenti

city_token"=>"22OQOv/6xq3OwpoU6zYizE1iNL7xpHxwpN+uqo9kGIk=", "id"=>"51635", "issue"=>{"start_date"=>"2014-06-17",

"custom_field_values"=>{"52"=>"ALL", "41"=>

"", "5"=>"OS 6.0"}, "estimated_hours"=>"", "parent_issue_id"=>"51622", "priority_id"=>"7", "is_private"=>"0", "lock_version"=>"0",

"fixed_version_id"=>"", "a

ssigned_to_id"=>"282", "subject"=>"OS6_编辑模式- 批量移入图标至文件夹及从文件夹批量移出图标  功能", "category_id"=>"", "tracker_id"=>"4",

"due_date"=>"2014-0

6-18", "status_id"=>"1", "description"=>"1.批量移动图标至文件夹\r\n2.从文件夹批量移出图标\r\n3.新建文件夹"}, "controller"=>"issues",

"attachments"=>{"1"=>{"d

escription"=>""}, "screenshot"=>{"name"=>"screenshot", "content"=>"", "description"=>""}}}

ArgumentError (comparison of Date with nil failed):

app/models/issue.rb:606:in `save_issue_with_child_records'

app/models/issue.rb:588:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:174:in `update'

thin (1.5.0) lib/thin/connection.rb:81:in `pre_process'

thin (1.5.0) lib/thin/connection.rb:79:in `catch'

thin (1.5.0) lib/thin/connection.rb:79:in `pre_process'

thin (1.5.0) lib/thin/connection.rb:54:in `process'

thin (1.5.0) lib/thin/connection.rb:39:in `receive_data'

D:/redmine/Ruby187/lib/ruby/gems/1.8/gems/eventmachine-1.0.0-x86-mingw32/lib/eventmachine.rb:187:in `run_machine'

D:/redmine/Ruby187/lib/ruby/gems/1.8/gems/eventmachine-1.0.0-x86-mingw32/lib/eventmachine.rb:187:in `run'

thin (1.5.0) lib/thin/backends/base.rb:63:in `start'

thin (1.5.0) lib/thin/server.rb:159:in `start'

thin (1.5.0) lib/thin/controllers/controller.rb:86:in `start'

thin (1.5.0) lib/thin/runner.rb:187:in `send'

thin (1.5.0) lib/thin/runner.rb:187:in `run_command'

thin (1.5.0) lib/thin/runner.rb:152:in `run!'

thin (1.5.0) bin/thin:6

D:/redmine/Ruby187/bin/thin:19:in `load'

D:/redmine/Ruby187/bin/thin:19

Rendering D:/redmine/redmine/public/500.html (500 Internal Server Error)
#1 - 2014-06-18 16:42 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See SubmittingBugs.

#2 - 2015-04-14 19:35 - Jean-Philippe Lang

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
